Name:           lazygal
Version:        0.9.1
Release:        7%{?dist}
Summary:        A static web gallery generator

License:        GPLv2+ and MIT
URL:            http://sousmonlit.zincube.net/~niol/playa/oss/projects/lazygal/
Source0:        http://sousmonlit.zincube.net/~niol/reposnapshots/lazygal-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  docbook-style-xsl
BuildRequires:  gettext
BuildRequires:  gstreamer1-plugins-base
BuildRequires:  gstreamer1-plugins-good
BuildRequires:  js-jquery1 >= 1.11.0
BuildRequires:  libxslt
BuildRequires:  python3-devel
BuildRequires:  python3-gexiv2
BuildRequires:  python3-genshi
BuildRequires:  python3-gstreamer1
BuildRequires:  python3-pillow
Recommends:     gstreamer1-plugins-base
Recommends:     gstreamer1-plugins-good
Requires:       js-jquery1 >= 1.11.0
Requires:       python3-gexiv2
Requires:       python3-genshi
Requires:       python3-pillow
Recommends:     python3-gstreamer1
Provides:       bundled(jquery.tipTip.js) = 1.3
Provides:       bundled(respond.js) = 1.4.2
Provides:       bundled(jquery.colorbox.js) = 1.4.36
# still bundled JS in themes/
# inverted/SHARED_plugins.tjs TipTip 1.3 https://github.com/drewwilson/TipTip
# inverted/SHARED_respond.js https://github.com/scottjehl/Respond
# singlepage/SHARED_jquery.colorbox.js Colorbox v1.4.36 - http://www.jacklmoore.com/colorbox (available via npm)

%description
Lazygal is another static web gallery generator written in Python.
It can be summed up by the following features :
* Command line based (thus scriptable).
* Handles album updates.
* Presents all your pictures and videos and associated data.
* Makes browsing sharing pictures easy.
* Make customization easy.
* Does not change your original pictures directories (the source argument).

%prep
%setup -q
# unbundle jquery (upstream ships unmodified version)
rm themes/nojs/SHARED_jquery.js
# temporarily copy over our system version so that py_install works
cp -p %{_datadir}/javascript/jquery/1/jquery.min.js themes/nojs/SHARED_jquery.js

%build
%py3_build

%install
%py3_install
install -dm755 %{buildroot}%{_mandir}/man{1,5}
install -pm644 lazygal.1 %{buildroot}%{_mandir}/man1/
install -pm644 lazygal.conf.5 %{buildroot}%{_mandir}/man5/
# remove jquery and link to system version
rm %{buildroot}%{_datadir}/%{name}/themes/nojs/SHARED_jquery.js
ln -s ../../../javascript/jquery/1/jquery.min.js %{buildroot}%{_datadir}/%{name}/themes/nojs/SHARED_jquery.js

%check
# lazygaltest.test_pathutils.TestPathutils fails on non-UTF-8 locales
export LC_ALL=en_US.UTF-8
# test_exif_date seems to fail in koji
%{__python3} setup.py test

%files
%doc README.md COPYING TODO ChangeLog
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{version}*.egg-info
%{python3_sitelib}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.1-6
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.1-2
- Rebuild for Python 3.6

* Fri Nov 18 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.9.1-1
- update to 0.9.1 (#1390795)
- drop obsolete patches

* Fri Nov 11 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.9-2
- backport fix for bad author tag decoding test

* Fri Nov 04 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.9-1
- update to 0.9 (#1390795)
- backport a patch to use the default nojs theme
- add missing gstreamer dependencies for video processing
- switch to python3

* Mon Aug 22 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.8.8-2
- fix broken dependency after libgexiv2-python2 rename

* Fri Oct 09 2015 Dominik Mierzejewski <rpm@greysector.net> - 0.8.8-1
- update to 0.8.8
- unbundle jquery
- enable testsuite
- use new python convenience macros
- add a soft dependency on python-gstreamer1
- add required Provides: for bundled JavaScript libraries

* Wed Jul 23 2014 Dominik Mierzejewski <rpm@greysector.net> - 0.8.4-2
- drop Group: tag
- fix manpages listing in file list

* Sun Jul 20 2014 Dominik Mierzejewski <rpm@greysector.net> - 0.8.4-1
- update to 0.8.4
- split BRs and Requires into separate lines and sort
- drop redundant specfile parts
- use python version-specific macros

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.1-6
- add patch to fix broken imports under python 2.7

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 8 2009 Byron Clark <byron@theclarkfamily.name> 0.4.1-3
- Use python-devel in place of python for BuildRequires.
- Add TODO and ChangeLog to docs.
- Add spacing to changelog entries.

* Mon May 25 2009 Byron Clark <byron@theclarkfamily.name> 0.4.1-2
- Fix typo in upstream URL.

* Sun May 24 2009 Byron Clark <byron@theclarkfamily.name> 0.4.1-1
- Initial release
